Package org.drinkless.tdlib

# Class TdApi.ImportedContact

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ImportedContact

Enclosing class:
  `TdApi`

public static class TdApi.ImportedContact extends TdApi.Object
Describes a contact to import.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `firstName`
  First name of the user; 1-64 characters.
  `String`
  `lastName`
  Last name of the user; 0-64 characters.
  `TdApi.FormattedText`
  `note`
  Note to add about the user; 0-getOption("user_note_text_length_max") characters.
  `String`
  `phoneNumber`
  Phone number of the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImportedContact()`
  Describes a contact to import.
  `ImportedContact(String phoneNumber, String firstName, String lastName, TdApi.FormattedText note)`
  Describes a contact to import.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### phoneNumber

    public String phoneNumber
    Phone number of the user.

  - ### firstName

    public String firstName
    First name of the user; 1-64 characters.

  - ### lastName

    public String lastName
    Last name of the user; 0-64 characters.

  - ### note

    public TdApi.FormattedText note
    Note to add about the user; 0-getOption("user_note_text_length_max") characters. Only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities are allowed; pass null to keep the current user's note.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ImportedContact

    public ImportedContact()
    Describes a contact to import.

  - ### ImportedContact

    public ImportedContact(String phoneNumber, String firstName, String lastName, TdApi.FormattedText note)
    Describes a contact to import.
    Parameters:
      `phoneNumber` - Phone number of the user.
      `firstName` - First name of the user; 1-64 characters.
      `lastName` - Last name of the user; 0-64 characters.
      `note` - Note to add about the user; 0-getOption("user_note_text_length_max") characters. Only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities are allowed; pass null to keep the current user's note.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR